Subject: bug#13291: The package description buffer needs an URL button

From: Dmitry Gutov <[email-masked]>
Date: Tue, 05 Mar 2013 21:12:44 +0400

Hey all,

Could someone take a look at package-homepage-button.diff and 
package-homepage-button.diff I submitted previously? I'd like to install 
them sometime soon.

I'll test them again before installing and will deal with any fallout, 
so the main issue I'd like an additional opinion on is the changes in 
the formats of pkg.el and archive-contents files 
(http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13291#17).

For example, is it okay that the definition vectors in archive-contents 
can be of variable length, or would it be better to keep all extra 
metadata in one plist, in 4th element?
IIRC, I chose the former because the package type (single or not) ends 
up in the same metadata structure, but changing the format of the 3rd 
element would break backward compatibility. So it makes some sense to 
keep the rest of the metadata as separate elements, too.